"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.data = void 0;
const builder_1 = require("../classes/builder");
const utils_1 = require("../classes/utils");
exports.data = {
    data: new builder_1.FunctionBuilder()
        .setName('getData')
        .setValue('description', 'Get some data from the http request.')
        .setValue('use', '$getData[keys]')
        .setValue('returns', 'Any'),
    code: async (d) => {
        let r = d.unpack(d);
        if (!r.inside)
            return utils_1.Utils.Warn('Invalid inside provided in:', d.func);
        let key = (r.inside.toLowerCase() === '$default') ? JSON.stringify(d._.request_data, null, 2) : eval(`d._.request_data?.${r.inside}`);
        return {
            code: d.code.resolve(`${d.func}[${r.inside}]`, key?.toString()?.escape() || 'undefined')
        };
    }
};
